import { request } from '@/utils/request';

export function getRuiYingReportDetail(params) {
  return request({
    url: '/pms/iot-ry-daily-report/get',
    method: 'get',
    params,
  });
}

export function createIotRyDailyReport(data) {
  return request({ url: `/pms/iot-ry-daily-report/create`, data, method: 'post' });
}

export function approvalIotRyDailyReport(data) {
  return request({ url: `/pms/iot-ry-daily-report/approval`, data, method: 'put' });
}

export function getRuiYingReportPage(params) {
  return request({
    url: '/pms/iot-ry-daily-report/page',
    method: 'get',
    params,
  });
}
